#!/bin/bash

if [ $# != 1 ]; then
	echo -e "Call like \n\t$0 test_file.in\n"
	exit 1;
fi;

test_file=$1
test_file_name=`basename $1`

# Get only the sites from test$i.in file.
# Also filter out blank lines.
sites=`cat $test_file | grep PUT | cut -d' ' -f 2 | sort | uniq`
sites_nr=`echo $sites | wc -w`

# Compute a number of books equivalent to sites.
books=`python books.py $sites_nr`

# Convert space delimited strings to arrays so we can
# access them by index like ${arr[$i]}.
sites_arr=($sites)
books_arr=($books)

sites_file=`cat $test_file`
# Replace the sites from $test_file with books (sed).
for ((i=0;i<$sites_nr;++i)); do
	# Get a site and a book to replace the site with.
	site=${sites_arr[$i]}
	book=${books_arr[$i]}

	#echo "A book $book, a site $site"

	# Do the replace one by one, for each site and book.
	sites_file=`echo "$sites_file" | sed -e "s/$site/$book/g"`
done

echo "$sites_file" > "$test_file_name"
